- Qt 6.12
- Qt Widgets Designer Manual
- C++ Classes
- QDesignerFormWindowManagerInterface
- Qt 6.12.0 Reference Documentation

# Obsolete Members for QDesignerFormWindowManagerInterface

The following members of class QDesignerFormWindowManagerInterface are deprecated. They are provided to keep old source code working. We strongly advise against using them in new code.

## Public Functions

`(deprecated)` QAction * | actionAdjustSize() const
`(deprecated)` QAction * | actionBreakLayout() const
`(deprecated)` QAction * | actionCopy() const
`(deprecated)` QAction * | actionCut() const
`(deprecated)` QAction * | actionDelete() const
`(deprecated)` QAction * | actionFormLayout() const
`(deprecated)` QAction * | actionGridLayout() const
`(deprecated)` QAction * | actionHorizontalLayout() const
`(deprecated)` QAction * | actionLower() const
`(deprecated)` QAction * | actionPaste() const
`(deprecated)` QAction * | actionRaise() const
`(deprecated)` QAction * | actionRedo() const
`(deprecated)` QAction * | actionSelectAll() const
`(deprecated)` QAction * | actionSimplifyLayout() const
`(deprecated)` QAction * | actionSplitHorizontal() const
`(deprecated)` QAction * | actionSplitVertical() const
`(deprecated)` QAction * | actionUndo() const
`(deprecated)` QAction * | actionVerticalLayout() const

## Member Function Documentation

### `[deprecated]` QAction *QDesignerFormWindowManagerInterface::actionAdjustSize() const

This function is deprecated. We strongly advise against using it in new code.

Allows you to intervene and control Qt Widgets Designer's "adjust size" action. The function returns the original action.

Use action() instead.

See also QAction.

### `[deprecated]` QAction *QDesignerFormWindowManagerInterface::actionBreakLayout() const

This function is deprecated. We strongly advise against using it in new code.

Allows you to intervene and control Qt Widgets Designer's "break layout" action. The function returns the original action.

Use action() instead.

See also QAction.

### `[deprecated]` QAction *QDesignerFormWindowManagerInterface::actionCopy() const

This function is deprecated. We strongly advise against using it in new code.

Allows you to intervene and control Qt Widgets Designer's "copy" action. The function returns the original action.

Use action() instead.

See also QAction.

### `[deprecated]` QAction *QDesignerFormWindowManagerInterface::actionCut() const

This function is deprecated. We strongly advise against using it in new code.

Allows you to intervene and control Qt Widgets Designer's "cut" action. The function returns the original action.

Use action() instead.

See also QAction.

### `[deprecated]` QAction *QDesignerFormWindowManagerInterface::actionDelete() const

This function is deprecated. We strongly advise against using it in new code.

Allows you to intervene and control Qt Widgets Designer's "delete" action. The function returns the original action.

Use action() instead.

See also QAction.

### `[deprecated]` QAction *QDesignerFormWindowManagerInterface::actionFormLayout() const

This function is deprecated. We strongly advise against using it in new code.

Allows you to intervene and control Qt Widgets Designer's "form layout" action. The function returns the original action.

Use action() instead.

See also QAction.

### `[deprecated]` QAction *QDesignerFormWindowManagerInterface::actionGridLayout() const

This function is deprecated. We strongly advise against using it in new code.

Allows you to intervene and control a request for grid layout for a form window in Qt Widgets Designer's workspace. The function returns the original action.

Use action() instead.

See also QAction.

### `[deprecated]` QAction *QDesignerFormWindowManagerInterface::actionHorizontalLayout() const

This function is deprecated. We strongly advise against using it in new code.

Allows you to intervene and control a request for horizontal layout for a form window in Qt Widgets Designer's workspace. The function returns the original action.

Use action() instead.

See also QAction.

### `[deprecated]` QAction *QDesignerFormWindowManagerInterface::actionLower() const

This function is deprecated. We strongly advise against using it in new code.

Allows you to intervene and control the action of lowering a form window in Qt Widgets Designer's workspace. The function returns the original action.

Use action() instead.

See also QAction.

### `[deprecated]` QAction *QDesignerFormWindowManagerInterface::actionPaste() const

This function is deprecated. We strongly advise against using it in new code.

Allows you to intervene and control Qt Widgets Designer's "paste" action. The function returns the original action.

Use action() instead.

See also QAction.

### `[deprecated]` QAction *QDesignerFormWindowManagerInterface::actionRaise() const

This function is deprecated. We strongly advise against using it in new code.

Allows you to intervene and control the action of raising of a form window in Qt Widgets Designer's workspace. The function returns the original action.

Use action() instead.

See also QAction.

### `[deprecated]` QAction *QDesignerFormWindowManagerInterface::actionRedo() const

This function is deprecated. We strongly advise against using it in new code.

Allows you to intervene and control Qt Widgets Designer's "redo" action. The function returns the original action.

Use action() instead.

See also QAction.

### `[deprecated]` QAction *QDesignerFormWindowManagerInterface::actionSelectAll() const

This function is deprecated. We strongly advise against using it in new code.

Allows you to intervene and control Qt Widgets Designer's "select all" action. The function returns the original action.

Use action() instead.

See also QAction.

### `[deprecated]` QAction *QDesignerFormWindowManagerInterface::actionSimplifyLayout() const

This function is deprecated. We strongly advise against using it in new code.

Allows you to intervene and control Qt Widgets Designer's "simplify layout" action. The function returns the original action.

Use action() instead.

See also QAction.

### `[deprecated]` QAction *QDesignerFormWindowManagerInterface::actionSplitHorizontal() const

This function is deprecated. We strongly advise against using it in new code.

Allows you to intervene and control Qt Widgets Designer's "split horizontal" action. The function returns the original action.

Use action() instead.

See also QAction.

### `[deprecated]` QAction *QDesignerFormWindowManagerInterface::actionSplitVertical() const

This function is deprecated. We strongly advise against using it in new code.

Allows you to intervene and control Qt Widgets Designer's "split vertical" action. The function returns the original action.

Use action() instead.

See also QAction.

### `[deprecated]` QAction *QDesignerFormWindowManagerInterface::actionUndo() const

This function is deprecated. We strongly advise against using it in new code.

Allows you to intervene and control Qt Widgets Designer's "undo" action. The function returns the original action.

Use action() instead.

See also QAction.

### `[deprecated]` QAction *QDesignerFormWindowManagerInterface::actionVerticalLayout() const

This function is deprecated. We strongly advise against using it in new code.

Allows you to intervene and control a request for vertical layout for a form window in Qt Widgets Designer's workspace. The function returns the original action.

Use action() instead.

See also QAction.